Index: /branches/PerformanceComparison/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerEvaluationsAnalyzer.cs
===================================================================
--- /branches/PerformanceComparison/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerEvaluationsAnalyzer.cs	(revision 12803)
+++ /branches/PerformanceComparison/HeuristicLab.Analysis/3.3/QualityAnalysis/QualityPerEvaluationsAnalyzer.cs	(revision 12804)
@@ -44,4 +44,10 @@
       get { return (ILookupParameter<IntValue>)Parameters["EvaluatedSolutions"]; }
     }
+    public ILookupParameter<IntValue> EvaluatedMovesParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["EvaluatedMoves"]; }
+    }
+    public IValueLookupParameter<DoubleValue> MoveCostPerSolutionParameter {
+      get { return (IValueLookupParameter<DoubleValue>)Parameters["MoveCostPerSolution"]; }
+    }
     public IResultParameter<IndexedDataTable<double>> QualityPerEvaluationsParameter {
       get { return (IResultParameter<IndexedDataTable<double>>)Parameters["QualityPerEvaluations"]; }
@@ -54,5 +60,7 @@
       : base() {
       Parameters.Add(new LookupParameter<DoubleValue>("BestQuality", "The quality value that should be compared."));
-      Parameters.Add(new LookupParameter<IntValue>("EvaluatedSolutions", "The quality value that should be compared."));
+      Parameters.Add(new LookupParameter<IntValue>("EvaluatedSolutions", "The number of evaluated solutions."));
+      Parameters.Add(new LookupParameter<IntValue>("EvaluatedMoves", "The number of evaluated moves."));
+      Parameters.Add(new ValueLookupParameter<DoubleValue>("MoveCostPerSolution", "The cost to evaluate a move as a ratio to the cost of evaluating a solution.", new DoubleValue(1)));
       Parameters.Add(new ResultParameter<IndexedDataTable<double>>("QualityPerEvaluations", "Data table containing the first hitting graph with evaluations as the x-axis."));
       QualityPerEvaluationsParameter.DefaultValue = new IndexedDataTable<double>("Quality per Evaluations") {
@@ -74,8 +82,13 @@
     public override IOperation Apply() {
       var bestQuality = BestQualityParameter.ActualValue.Value;
-      var evaluations = Math.Max(EvaluatedSolutionsParameter.ActualValue.Value, 1);
+      var evalSols = EvaluatedSolutionsParameter.ActualValue;
+      var evalMoves = EvaluatedMovesParameter.ActualValue;
+      var evaluations = 0.0;
+      if (evalSols != null) evaluations += evalSols.Value;
+      if (evalMoves != null) evaluations += evalMoves.Value * MoveCostPerSolutionParameter.ActualValue.Value;
 
       var dataTable = QualityPerEvaluationsParameter.ResultValue;
       var values = dataTable.Rows["First-hit Graph"].Values;
+      if (evaluations == 0 || values.Count > 0 && evaluations < values.Last().Item1) evaluations = 1;
       if (values.Count == 0 || values.Last().Item2 != bestQuality)
         values.Add(Tuple.Create((double)evaluations, bestQuality));
Index: /branches/PerformanceComparison/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj
===================================================================
--- /branches/PerformanceComparison/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 12803)
+++ /branches/PerformanceComparison/HeuristicLab.Optimization.Views/3.3/HeuristicLab.Optimization.Views-3.3.csproj	(revision 12804)
@@ -223,4 +223,10 @@
       <DependentUpon>CreateNewSingleEncodingDialog.cs</DependentUpon>
     </Compile>
+    <Compile Include="IRRestarterView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="IRRestarterView.Designer.cs">
+      <DependentUpon>IRRestarterView.cs</DependentUpon>
+    </Compile>
     <Compile Include="ISolutionSimilarityCalculatorView.cs">
       <SubType>UserControl</SubType>
Index: /branches/PerformanceComparison/HeuristicLab.Optimization.Views/3.3/IRRestarterView.Designer.cs
===================================================================
--- /branches/PerformanceComparison/HeuristicLab.Optimization.Views/3.3/IRRestarterView.Designer.cs	(revision 12804)
+++ /branches/PerformanceComparison/HeuristicLab.Optimization.Views/3.3/IRRestarterView.Designer.cs	(revision 12804)
@@ -0,0 +1,417 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Optimization.Views {
+  partial class IndependentRandomRestarterView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(IndependentRandomRestarterView));
+      this.timeLimitLabel = new System.Windows.Forms.Label();
+      this.maxExecutionTimeTextBox = new System.Windows.Forms.TextBox();
+      this.evaluationsLimitabel = new System.Windows.Forms.Label();
+      this.maxEvaluationsTextBox = new System.Windows.Forms.TextBox();
+      this.tabControl = new HeuristicLab.MainForm.WindowsForms.DragOverTabControl();
+      this.algorithmTabPage = new System.Windows.Forms.TabPage();
+      this.algorithmViewHost = new HeuristicLab.MainForm.WindowsForms.ViewHost();
+      this.openAlgorithmButton = new System.Windows.Forms.Button();
+      this.newAlgorithmButton = new System.Windows.Forms.Button();
+      this.currentRunTabPage = new System.Windows.Forms.TabPage();
+      this.currentRunView = new HeuristicLab.Optimization.Views.RunView();
+      this.runsTabPage = new System.Windows.Forms.TabPage();
+      this.runsView = new HeuristicLab.Optimization.Views.RunCollectionView();
+      this.openFileDialog = new System.Windows.Forms.OpenFileDialog();
+      this.targetValueTextBox = new System.Windows.Forms.TextBox();
+      this.targetValueLabel = new System.Windows.Forms.Label();
+      this.terminationComboBox = new System.Windows.Forms.ComboBox();
+      this.terminationLabel = new System.Windows.Forms.Label();
+      this.moveCostPerSolutionTextBox = new System.Windows.Forms.TextBox();
+      this.moveCostPerSolutionLabel = new System.Windows.Forms.Label();
+      this.maximizationLabel = new System.Windows.Forms.Label();
+      this.maximizationCheckBox = new System.Windows.Forms.CheckBox();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.tabControl.SuspendLayout();
+      this.algorithmTabPage.SuspendLayout();
+      this.currentRunTabPage.SuspendLayout();
+      this.runsTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // startButton
+      // 
+      this.startButton.Location = new System.Drawing.Point(0, 440);
+      this.startButton.TabIndex = 9;
+      this.toolTip.SetToolTip(this.startButton, "Start/Resume Optimizer");
+      // 
+      // executionTimeTextBox
+      // 
+      this.executionTimeTextBox.Location = new System.Drawing.Point(412, 444);
+      // 
+      // executionTimeLabel
+      // 
+      this.executionTimeLabel.Location = new System.Drawing.Point(323, 447);
+      // 
+      // pauseButton
+      // 
+      this.pauseButton.Location = new System.Drawing.Point(30, 440);
+      this.pauseButton.TabIndex = 10;
+      this.toolTip.SetToolTip(this.pauseButton, "Pause Optimizer");
+      // 
+      // stopButton
+      // 
+      this.stopButton.Location = new System.Drawing.Point(60, 440);
+      this.stopButton.TabIndex = 11;
+      this.toolTip.SetToolTip(this.stopButton, "Stop Optimizer");
+      // 
+      // resetButton
+      // 
+      this.resetButton.Location = new System.Drawing.Point(90, 440);
+      this.resetButton.TabIndex = 12;
+      this.toolTip.SetToolTip(this.resetButton, "Reset Optimizer");
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Location = new System.Drawing.Point(115, 0);
+      this.nameTextBox.Size = new System.Drawing.Size(409, 20);
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Location = new System.Drawing.Point(530, 3);
+      // 
+      // timeLimitLabel
+      // 
+      this.timeLimitLabel.AutoSize = true;
+      this.timeLimitLabel.Location = new System.Drawing.Point(3, 29);
+      this.timeLimitLabel.Name = "timeLimitLabel";
+      this.timeLimitLabel.Size = new System.Drawing.Size(106, 13);
+      this.timeLimitLabel.TabIndex = 3;
+      this.timeLimitLabel.Text = "Max Execution Time:";
+      // 
+      // maxExecutionTimeTextBox
+      // 
+      this.maxExecutionTimeTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.maxExecutionTimeTextBox.Location = new System.Drawing.Point(115, 26);
+      this.maxExecutionTimeTextBox.Name = "maxExecutionTimeTextBox";
+      this.maxExecutionTimeTextBox.Size = new System.Drawing.Size(409, 20);
+      this.maxExecutionTimeTextBox.TabIndex = 4;
+      this.maxExecutionTimeTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.maxExecutionTimeTextBox_Validating);
+      // 
+      // evaluationsLimitabel
+      // 
+      this.evaluationsLimitabel.AutoSize = true;
+      this.evaluationsLimitabel.Location = new System.Drawing.Point(3, 55);
+      this.evaluationsLimitabel.Name = "evaluationsLimitabel";
+      this.evaluationsLimitabel.Size = new System.Drawing.Size(88, 13);
+      this.evaluationsLimitabel.TabIndex = 5;
+      this.evaluationsLimitabel.Text = "Max Evaluations:";
+      // 
+      // maxEvaluationsTextBox
+      // 
+      this.maxEvaluationsTextBox.Location = new System.Drawing.Point(115, 52);
+      this.maxEvaluationsTextBox.Name = "maxEvaluationsTextBox";
+      this.maxEvaluationsTextBox.Size = new System.Drawing.Size(157, 20);
+      this.maxEvaluationsTextBox.TabIndex = 6;
+      this.maxEvaluationsTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.maxEvaluationsTextBox_Validating);
+      // 
+      // tabControl
+      // 
+      this.tabControl.AllowDrop = true;
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.algorithmTabPage);
+      this.tabControl.Controls.Add(this.currentRunTabPage);
+      this.tabControl.Controls.Add(this.runsTabPage);
+      this.tabControl.Location = new System.Drawing.Point(0, 132);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(546, 302);
+      this.tabControl.TabIndex = 8;
+      // 
+      // algorithmTabPage
+      // 
+      this.algorithmTabPage.AllowDrop = true;
+      this.algorithmTabPage.Controls.Add(this.algorithmViewHost);
+      this.algorithmTabPage.Controls.Add(this.openAlgorithmButton);
+      this.algorithmTabPage.Controls.Add(this.newAlgorithmButton);
+      this.algorithmTabPage.Location = new System.Drawing.Point(4, 22);
+      this.algorithmTabPage.Name = "algorithmTabPage";
+      this.algorithmTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.algorithmTabPage.Size = new System.Drawing.Size(538, 276);
+      this.algorithmTabPage.TabIndex = 1;
+      this.algorithmTabPage.Text = "Algorithm";
+      this.algorithmTabPage.UseVisualStyleBackColor = true;
+      this.algorithmTabPage.DragDrop += new System.Windows.Forms.DragEventHandler(this.algorithmTabPage_DragDrop);
+      this.algorithmTabPage.DragEnter += new System.Windows.Forms.DragEventHandler(this.algorithmTabPage_DragEnterOver);
+      this.algorithmTabPage.DragOver += new System.Windows.Forms.DragEventHandler(this.algorithmTabPage_DragEnterOver);
+      // 
+      // algorithmViewHost
+      // 
+      this.algorithmViewHost.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.algorithmViewHost.Caption = "View";
+      this.algorithmViewHost.Content = null;
+      this.algorithmViewHost.Enabled = false;
+      this.algorithmViewHost.Location = new System.Drawing.Point(6, 36);
+      this.algorithmViewHost.Name = "algorithmViewHost";
+      this.algorithmViewHost.ReadOnly = false;
+      this.algorithmViewHost.Size = new System.Drawing.Size(526, 234);
+      this.algorithmViewHost.TabIndex = 2;
+      this.algorithmViewHost.ViewsLabelVisible = true;
+      this.algorithmViewHost.ViewType = null;
+      // 
+      // openAlgorithmButton
+      // 
+      this.openAlgorithmButton.Image = ((System.Drawing.Image)(resources.GetObject("openAlgorithmButton.Image")));
+      this.openAlgorithmButton.Location = new System.Drawing.Point(36, 6);
+      this.openAlgorithmButton.Name = "openAlgorithmButton";
+      this.openAlgorithmButton.Size = new System.Drawing.Size(24, 24);
+      this.openAlgorithmButton.TabIndex = 1;
+      this.toolTip.SetToolTip(this.openAlgorithmButton, "Open Optimizer");
+      this.openAlgorithmButton.UseVisualStyleBackColor = true;
+      this.openAlgorithmButton.Click += new System.EventHandler(this.openAlgorithmButton_Click);
+      // 
+      // newAlgorithmButton
+      // 
+      this.newAlgorithmButton.Image = ((System.Drawing.Image)(resources.GetObject("newAlgorithmButton.Image")));
+      this.newAlgorithmButton.Location = new System.Drawing.Point(6, 6);
+      this.newAlgorithmButton.Name = "newAlgorithmButton";
+      this.newAlgorithmButton.Size = new System.Drawing.Size(24, 24);
+      this.newAlgorithmButton.TabIndex = 0;
+      this.toolTip.SetToolTip(this.newAlgorithmButton, "New Optimizer");
+      this.newAlgorithmButton.UseVisualStyleBackColor = true;
+      this.newAlgorithmButton.Click += new System.EventHandler(this.newAlgorithmButton_Click);
+      // 
+      // currentRunTabPage
+      // 
+      this.currentRunTabPage.Controls.Add(this.currentRunView);
+      this.currentRunTabPage.Location = new System.Drawing.Point(4, 22);
+      this.currentRunTabPage.Name = "currentRunTabPage";
+      this.currentRunTabPage.Padding = new System.Windows.Forms.Padding(6);
+      this.currentRunTabPage.Size = new System.Drawing.Size(538, 276);
+      this.currentRunTabPage.TabIndex = 4;
+      this.currentRunTabPage.Text = "Current Run";
+      this.currentRunTabPage.UseVisualStyleBackColor = true;
+      // 
+      // currentRunView
+      // 
+      this.currentRunView.Caption = "Run View";
+      this.currentRunView.Content = null;
+      this.currentRunView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.currentRunView.Location = new System.Drawing.Point(6, 6);
+      this.currentRunView.Name = "currentRunView";
+      this.currentRunView.ReadOnly = false;
+      this.currentRunView.Size = new System.Drawing.Size(526, 264);
+      this.currentRunView.TabIndex = 0;
+      // 
+      // runsTabPage
+      // 
+      this.runsTabPage.Controls.Add(this.runsView);
+      this.runsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.runsTabPage.Name = "runsTabPage";
+      this.runsTabPage.Padding = new System.Windows.Forms.Padding(6);
+      this.runsTabPage.Size = new System.Drawing.Size(538, 276);
+      this.runsTabPage.TabIndex = 3;
+      this.runsTabPage.Text = "Runs";
+      this.runsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // runsView
+      // 
+      this.runsView.Caption = "RunCollection View";
+      this.runsView.Content = null;
+      this.runsView.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.runsView.Location = new System.Drawing.Point(6, 6);
+      this.runsView.Name = "runsView";
+      this.runsView.ReadOnly = false;
+      this.runsView.Size = new System.Drawing.Size(526, 264);
+      this.runsView.TabIndex = 1;
+      // 
+      // openFileDialog
+      // 
+      this.openFileDialog.DefaultExt = "hl";
+      this.openFileDialog.FileName = "Optimizer";
+      this.openFileDialog.Filter = "HeuristicLab Files|*.hl|All Files|*.*";
+      this.openFileDialog.Title = "Open Optimizer";
+      // 
+      // targetValueTextBox
+      // 
+      this.targetValueTextBox.Location = new System.Drawing.Point(115, 78);
+      this.targetValueTextBox.Name = "targetValueTextBox";
+      this.targetValueTextBox.Size = new System.Drawing.Size(157, 20);
+      this.targetValueTextBox.TabIndex = 6;
+      this.targetValueTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.targetValueTextBox_Validating);
+      // 
+      // targetValueLabel
+      // 
+      this.targetValueLabel.AutoSize = true;
+      this.targetValueLabel.Location = new System.Drawing.Point(3, 81);
+      this.targetValueLabel.Name = "targetValueLabel";
+      this.targetValueLabel.Size = new System.Drawing.Size(71, 13);
+      this.targetValueLabel.TabIndex = 5;
+      this.targetValueLabel.Text = "Target Value:";
+      // 
+      // terminationComboBox
+      // 
+      this.terminationComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.terminationComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.terminationComboBox.FormattingEnabled = true;
+      this.terminationComboBox.Location = new System.Drawing.Point(115, 105);
+      this.terminationComboBox.Name = "terminationComboBox";
+      this.terminationComboBox.Size = new System.Drawing.Size(409, 21);
+      this.terminationComboBox.TabIndex = 16;
+      this.terminationComboBox.SelectedIndexChanged += new System.EventHandler(this.terminationComboBox_SelectedIndexChanged);
+      // 
+      // terminationLabel
+      // 
+      this.terminationLabel.AutoSize = true;
+      this.terminationLabel.Location = new System.Drawing.Point(3, 108);
+      this.terminationLabel.Name = "terminationLabel";
+      this.terminationLabel.Size = new System.Drawing.Size(65, 13);
+      this.terminationLabel.TabIndex = 5;
+      this.terminationLabel.Text = "Termination:";
+      // 
+      // moveCostPerSolutionTextBox
+      // 
+      this.moveCostPerSolutionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.moveCostPerSolutionTextBox.Location = new System.Drawing.Point(401, 52);
+      this.moveCostPerSolutionTextBox.Name = "moveCostPerSolutionTextBox";
+      this.moveCostPerSolutionTextBox.Size = new System.Drawing.Size(123, 20);
+      this.moveCostPerSolutionTextBox.TabIndex = 6;
+      this.moveCostPerSolutionTextBox.Validating += new System.ComponentModel.CancelEventHandler(this.moveCostPerSolutionTextBox_Validating);
+      // 
+      // moveCostPerSolutionLabel
+      // 
+      this.moveCostPerSolutionLabel.AutoSize = true;
+      this.moveCostPerSolutionLabel.Location = new System.Drawing.Point(278, 55);
+      this.moveCostPerSolutionLabel.Name = "moveCostPerSolutionLabel";
+      this.moveCostPerSolutionLabel.Size = new System.Drawing.Size(117, 13);
+      this.moveCostPerSolutionLabel.TabIndex = 5;
+      this.moveCostPerSolutionLabel.Text = "Move cost per solution:";
+      // 
+      // maximizationLabel
+      // 
+      this.maximizationLabel.AutoSize = true;
+      this.maximizationLabel.Location = new System.Drawing.Point(278, 81);
+      this.maximizationLabel.Name = "maximizationLabel";
+      this.maximizationLabel.Size = new System.Drawing.Size(70, 13);
+      this.maximizationLabel.TabIndex = 5;
+      this.maximizationLabel.Text = "Maximization:";
+      // 
+      // maximizationCheckBox
+      // 
+      this.maximizationCheckBox.AutoSize = true;
+      this.maximizationCheckBox.Location = new System.Drawing.Point(401, 80);
+      this.maximizationCheckBox.Name = "maximizationCheckBox";
+      this.maximizationCheckBox.Size = new System.Drawing.Size(15, 14);
+      this.maximizationCheckBox.TabIndex = 17;
+      this.maximizationCheckBox.UseVisualStyleBackColor = true;
+      this.maximizationCheckBox.CheckedChanged += new System.EventHandler(this.maximizationCheckBox_CheckedChanged);
+      // 
+      // IndependentRandomRestarterView
+      // 
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Inherit;
+      this.Controls.Add(this.maximizationCheckBox);
+      this.Controls.Add(this.terminationComboBox);
+      this.Controls.Add(this.tabControl);
+      this.Controls.Add(this.maxExecutionTimeTextBox);
+      this.Controls.Add(this.timeLimitLabel);
+      this.Controls.Add(this.terminationLabel);
+      this.Controls.Add(this.targetValueLabel);
+      this.Controls.Add(this.maximizationLabel);
+      this.Controls.Add(this.moveCostPerSolutionLabel);
+      this.Controls.Add(this.evaluationsLimitabel);
+      this.Controls.Add(this.moveCostPerSolutionTextBox);
+      this.Controls.Add(this.targetValueTextBox);
+      this.Controls.Add(this.maxEvaluationsTextBox);
+      this.Name = "IndependentRandomRestarterView";
+      this.Size = new System.Drawing.Size(549, 464);
+      this.Controls.SetChildIndex(this.maxEvaluationsTextBox, 0);
+      this.Controls.SetChildIndex(this.targetValueTextBox, 0);
+      this.Controls.SetChildIndex(this.moveCostPerSolutionTextBox, 0);
+      this.Controls.SetChildIndex(this.evaluationsLimitabel, 0);
+      this.Controls.SetChildIndex(this.moveCostPerSolutionLabel, 0);
+      this.Controls.SetChildIndex(this.maximizationLabel, 0);
+      this.Controls.SetChildIndex(this.targetValueLabel, 0);
+      this.Controls.SetChildIndex(this.terminationLabel, 0);
+      this.Controls.SetChildIndex(this.timeLimitLabel, 0);
+      this.Controls.SetChildIndex(this.maxExecutionTimeTextBox, 0);
+      this.Controls.SetChildIndex(this.tabControl, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.infoLabel, 0);
+      this.Controls.SetChildIndex(this.resetButton, 0);
+      this.Controls.SetChildIndex(this.stopButton, 0);
+      this.Controls.SetChildIndex(this.pauseButton, 0);
+      this.Controls.SetChildIndex(this.executionTimeLabel, 0);
+      this.Controls.SetChildIndex(this.executionTimeTextBox, 0);
+      this.Controls.SetChildIndex(this.startButton, 0);
+      this.Controls.SetChildIndex(this.terminationComboBox, 0);
+      this.Controls.SetChildIndex(this.maximizationCheckBox, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.tabControl.ResumeLayout(false);
+      this.algorithmTabPage.ResumeLayout(false);
+      this.currentRunTabPage.ResumeLayout(false);
+      this.runsTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Label timeLimitLabel;
+    private System.Windows.Forms.TextBox maxExecutionTimeTextBox;
+    private System.Windows.Forms.Label evaluationsLimitabel;
+    private System.Windows.Forms.TextBox maxEvaluationsTextBox;
+    private MainForm.WindowsForms.DragOverTabControl tabControl;
+    private System.Windows.Forms.TabPage runsTabPage;
+    private RunCollectionView runsView;
+    private System.Windows.Forms.OpenFileDialog openFileDialog;
+    private System.Windows.Forms.TextBox targetValueTextBox;
+    private System.Windows.Forms.Label targetValueLabel;
+    private System.Windows.Forms.ComboBox terminationComboBox;
+    private System.Windows.Forms.Label terminationLabel;
+    private System.Windows.Forms.TextBox moveCostPerSolutionTextBox;
+    private System.Windows.Forms.Label moveCostPerSolutionLabel;
+    private System.Windows.Forms.Label maximizationLabel;
+    private System.Windows.Forms.CheckBox maximizationCheckBox;
+    private System.Windows.Forms.TabPage algorithmTabPage;
+    private MainForm.WindowsForms.ViewHost algorithmViewHost;
+    private System.Windows.Forms.Button openAlgorithmButton;
+    private System.Windows.Forms.Button newAlgorithmButton;
+    private System.Windows.Forms.TabPage currentRunTabPage;
+    private RunView currentRunView;
+  }
+}
